# cloud-bd
Train a ConvNet to predict the height of the clouds in an fisheye image of the sky.
This package provides datapoint aggregation, a trainable ConvNet and validation. The aggregatation of the dataset comprises cloud images, cloud heights, rain quantity and sun insolation. With this dataset a ConvNet can be trained and validated. In the `config.py` file `IMAGE_DIR`, `CEILOMETER_DIR`,`RAIN_ZIP_FILE` can be configured.

## Usage
To gather the datapoints and store them in train and validation *tfrecords* datsets, use:
```bash
python -m cloudproc.tf_records
```

Train the ConvNet to classify the height class of a cloud:
```bash
python -m cloudproc.cloud_cnn
```

Validate a trained model by loading the latest checkpoint. Prints the accuracy and cross entropy:
```bash
python -m cloudproc.validate
```

To visualize the height readings in a histogram, use:
```bash
python -m cloudproc.visualize
```